Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.reflection
[Java] Class CachedConstructor

    java.lang.Object
      org.codehaus.groovy.reflection.ParameterTypes
          org.codehaus.groovy.reflection.CachedConstructor

    public class CachedConstructor
    extends ParameterTypes

Authors:
  Alex.Tkachman

Field Summary
`Constructor` | `cachedConstructor`

Fields inherited from class ParameterTypes
isVargsMethod, nativeParamTypes, parameterTypes

Constructor Summary
`CachedConstructor(CachedClass clazz, Constructor c)`
`CachedConstructor(Constructor c)`

Method Summary
`Object` | `doConstructorInvoke(Object[] argumentArray)`
`static CachedConstructor` | `find(Constructor constructor)`
`int` | `getModifiers()`
`protected Class[]` | `getPT()`
`Object` | `invoke(Object[] argumentArray)`

Methods inherited from class ParameterTypes
coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, setParametersTypes

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### cachedConstructor

    public final Constructor cachedConstructor

Constructor Detail

### CachedConstructor

    public CachedConstructor(CachedClass clazz, Constructor c)

### CachedConstructor

    public CachedConstructor(Constructor c)

Method Detail

### doConstructorInvoke

    public Object doConstructorInvoke(Object[] argumentArray)

### find

    public static CachedConstructor find(Constructor constructor)

### getModifiers

    public int getModifiers()

### getPT

    protected Class[] getPT()

### invoke

    public Object invoke(Object[] argumentArray)

Copyright © 2003-2010 The Codehaus. All rights reserved.